Информационная безопасность
[RU] switch to English


Многочисленные уязвимости в Apache Tomcat (multiple bugs)
Опубликовано:14 августа 2007 г.
Источник:
SecurityVulns ID:8036
Тип:удаленная
Уровень опасности:
6/10
Описание:Утечка информации на сессионных куки, содержащих ' или ". Межсайтовый скриптинг в сервлете Host Manager.
Затронутые продукты:APACHE : Tomcat 4.1
 APACHE : Tomcat 3.3
 APACHE : Tomcat 5.0
 APACHE : Tomcat 5.5
 APACHE : Tomcat 6.0
CVE:CVE-2007-3386 (Cross-site scripting (XSS) vulnerability in the Host Manager Servlet for Apache Tomcat 6.0.0 to 6.0.13 and 5.5.0 to 5.5.24 allows remote attackers to inject arbitrary HTML and web script via crafted requests, as demonstrated using the aliases parameter to an html/add action.)
 CVE-2007-3386 (Cross-site scripting (XSS) vulnerability in the Host Manager Servlet for Apache Tomcat 6.0.0 to 6.0.13 and 5.5.0 to 5.5.24 allows remote attackers to inject arbitrary HTML and web script via crafted requests, as demonstrated using the aliases parameter to an html/add action.)
 CVE-2007-3385 (Apache Tomcat 6.0.0 to 6.0.13, 5.5.0 to 5.5.24, 5.0.0 to 5.0.30, 4.1.0 to 4.1.36, and 3.3 to 3.3.2 does not properly handle the \" character sequence in a cookie value, which might cause sensitive information such as session IDs to be leaked to remote attackers and enable session hijacking attacks.)
Оригинальный текстdocumentAPACHE, CVE-2007-3386: XSS in Host Manager (14.08.2007)
 documentAPACHE, CVE-2007-3385: Handling of \" in cookies (14.08.2007)
 documentAPACHE, CVE-2007-3382: Handling of cookies containing a ' character (14.08.2007)

О сайте | Условия использования
© SecurityVulns, 3APA3A, Владимир Дубровин
Нижний Новгород